2 Replies Latest reply: Dec 30, 2010 8:46 AM by 804291 RSS

    ALERT: java/lang/ClassFormatError: Bad version information

      I am developing a client application for cellphone, which will decompress SMS message sent by server. For (de)compression library I used JZlib (found here ), but when I tried to run the apps on emulator I got the infamous Alert: java/lang/ClassFormatError: Bad version information

      FYI my development environment is as follows:

      NetBeans IDE 6.8 (Build 200912041610)
      Java SDK 1.6.0_18
      Wireless Toolkit 2.5.2_01 for CLDC (due to a certain problem of NetBeans 6.8, I was forced to use JWTK as emulator platform, not the usual Java ME SDK 3.0 )
      CLDC 1.1
      MIDP 2.0
      few optional packages such as Wireless Messaging API 2.0

      this particular alert was popular back then in JDK 1.5, but this is the first time I encountered one in JDK 1.6

      So, any solution to this problem?

      Thanks beforehand for the answers